/**
* Fuel Theme
* Version 6.4.2
**/

/*--------------------------------------------------------------
>>> TABLE OF CONTENTS:
----------------------------------------------------------------
# Hero
# Welcome
# CTA's
# Locations
--------------------------------------------------------------*/

/*--------------------------------------------------------------
# Hero
--------------------------------------------------------------*/
.hero-tagline {
    text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    z-index: 2;
}

.hero :is(.hero-tagline, .wp-block-buttons) {
    --time: 800ms;
    --easing: ease-out;
    --x: -2rem;
}

div:has(>.hero_section) {
    position: relative;
}

.hero-group {
    margin-right: 12.5vw !important;
}

.hero-button-wrap {
    margin-right: calc(12.5vw + 6rem) !important;
}

.hero-button a {
    background-color: transparent !important;
    border: 1px solid var(--white);
    border-radius: 4px;
    padding-right: 2.2rem !important;

}

.hero-button a:is(:hover, :focus-visible) {
    background-color: var(--primary-color) !important;
    color: var(--white);
}

.hero-button a::before,
.hero-button a::after {
    border-color: var(--white) !important;
}

@media (max-width: 68.49em) {
    .hero_section {
        padding-top: 12.5rem !important;
        padding-bottom: 4.1rem !important;
        margin-bottom: 0rem !important;
    }

    .hero_section img {
        min-width: 22rem;
    }

    .hero-group {
        padding: 0rem 1.1rem 0.8rem !important;
        margin-right: auto !important;
        max-width: 15rem;
    }

    .hero-button-wrap {
        margin-right: auto !important;
        margin-top: 1.2rem !important;
    }

    .hero-tagline {
        font-size: 3.2rem !important;
    }

    .hero-tagline:last-of-type {
        font-size: 0.9rem !important;
    }
}

@media (prefers-reduced-motion:no-preference) {

    .hero-button,
    .play-arrow {
        opacity: 1;
        transition: opacity 600ms ease 1200ms;
        /* duration + delay */
    }

    @starting-style {

        .hero-button,
        .play-arrow {
            opacity: 0 !important;
        }
    }
}

/*--------------------------------------------------------------
# Welcome
--------------------------------------------------------------*/
.welcome-cols {
    justify-content: space-between;
}

.welcome-svgs-wrap {
    margin-top: -1rem;
    min-height: 2rem;
}

.welcome-svg-wrap {
    position: absolute;
    margin-top: unset;
    width: 30rem;
    top: 0;
    left: calc(50% - 15rem);
}

@media (max-width: 782px) {
    #welcome_section h1 {
        font-size: 0.9rem !important;
        margin-top: -0.5rem !important;
    }

    .welcome-svg-wrap {
        width: 16rem;
        left: calc(50% - 8rem);
    }

    .welcome-cols {
        margin-top: 0.6rem !important;
    }
}

.welcome-pair {
    animation: pairOpacity 9s linear infinite;
    animation-delay: var(--d, 0s);
    opacity: 0;
}

.welcome-pair:nth-of-type(1) {
    opacity: 1;
}

.welcome-pair,
.welcome-pair .welcome-svg-wrap {
    animation-fill-mode: both;
}

.welcome-pair:nth-of-type(1) {
    --d: 0s;
}

.welcome-pair:nth-of-type(2) {
    --d: 3s;
}

.welcome-pair:nth-of-type(3) {
    --d: 6s;
}

.welcome-pair .welcome-svg-wrap {
    animation-duration: 9s;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
    animation-delay: var(--d, 0s);
}

.welcome-svg-wrap.has-accent-color {
    clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
    animation-name: primaryWipe;
}

.welcome-svg-wrap.has-primary-color {
    clip-path: polygon(0 0, 0 0, 0 100%, 0 100%);
    animation-name: accentWipe;
}

@keyframes pairOpacity {
    0% {
        opacity: 0;
    }

    2% {
        opacity: 1;
    }

    31% {
        opacity: 1;
    }

    33.333% {
        opacity: 0;
    }

    100% {
        opacity: 0;
    }
}

@keyframes accentWipe {
    0% {
        clip-path: polygon(0 0, 0 0, 0 100%, 0 100%);
    }

    22.222% {
        clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
    }

    100% {
        clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
    }

}

@keyframes primaryWipe {

    0% {
        clip-path: polygon(0 0, 100% 0, 100% 100%, 0 100%);
    }

    22.222% {
        clip-path: polygon(100% 0, 100% 0, 100% 100%, 100% 100%);
    }

    100% {
        clip-path: polygon(100% 0, 100% 0, 100% 100%, 100% 100%);
    }
}





/*--------------------------------------------------------------
# CTA's
--------------------------------------------------------------*/
.cta1-wrapper a {
    --y: 0;
    --time: 600ms;
}

.cta1-wrapper .cta1 {
    --i: 0;
}

.cta1-wrapper .cta2 {
    --i: 3;
}

.cta1-wrapper .cta3 {
    --i: 6;
}

.cta-pic {
    position: relative;
    overflow: hidden;
}

.cta {
    overflow: hidden;
    position: relative;
}

.ctas {
    max-width: 74rem;
    margin-left: auto !important;
    margin-right: auto !important;
    justify-content: space-between;
}

.cta {
    max-width: 22rem;
    margin-left: auto;
    margin-right: auto;
}

.cta-svgs {
    position: relative;
}

.cta h2::before {
    display: none;
}

.cta-center-wrap {
    width: 100%;
    position: relative;
}

.cta a>svg {
    width: 2.9rem;
}

.cta {
    transition: transform 500ms;
    overflow: hidden;
    --delay: 500ms;
    --time: 500ms
}

.cta:first-of-type {
    --delay: 0ms;
}

.cta:last-of-type {
    --delay: 1000ms;
}

.cta:has(a:is(:hover, :focus-visible)) {
    transform: translateY(-0.5rem) !important;
}

.cta img {
    transition: transform 500ms;
}

.cta a:is(:hover, :focus-visible) img {
    transform: scale(1.1);
}

.cta-arrow {
    transition: transform 500ms;
}

.cta a:is(:hover, :focus-visible) .cta-arrow {
    transform: translateX(0.3rem);
}

.cta .wp-block-fuel-dynamic-spacer {
    margin-top: calc(clamp(1rem, 2.5vw, 1.5rem) * -1) !important;
    z-index: 1;
}

@media (max-width: 68.49em) {

    .ctas {
        justify-content: center;
        margin-top: -3rem !important;
    }

    .cta a {
        gap: 0.7rem !important;
    }

    .cta1-wrapper {
        flex-direction: column;
    }

    .cta-pic svg:not(.cta-line-svg) {
        width: calc(100% + 6rem) !important;
    }

    .cta p {
        padding-left: 1.1rem !important;
        padding-right: 1.1rem !important;
    }

    .cta-svgs {
        height: 5rem !important;
    }

    .cta a>svg {
        width: 2rem;
    }
}

/* Reviews */
@media (max-width: 68.49em) {
    .fm-carousel {
        padding-top: 0 !important;
        padding-bottom: 1.5rem;
    }
}

@media (prefers-reduced-motion:no-preference) {
    .hero-tagline:last-of-type {
        opacity: 0;
        transform: translateY(1rem);
        animation: heroTaglineIn 800ms ease forwards;
        animation-delay: 400ms;
    }

    @keyframes heroTaglineIn {
        to {
            opacity: 1;
            transform: translateY(0rem);
        }
    }

    .hero_section svg:not(.play-arrow) {
        clip-path: inset(0 0 0 0);
        animation: wipeLeftThenTop 800ms ease-in-out forwards;
        animation-delay: 200ms;
        opacity: 0;
    }

    .hero_section svg:last-of-type:not(.play-arrow) {
        animation: wipeRightThenTop 800ms ease-in-out forwards;
        animation-delay: 200ms;
    }

    /* Two-stage clip-path animation */
    @keyframes wipeLeftThenTop {
        0% {
            clip-path: inset(0 0 0 0);
            opacity: 1;
        }

        1% {
            clip-path: inset(0 0 100% calc(100% - 1px));
            opacity: 1;


        }

        55% {
            clip-path: inset(0 calc(100% - 1px) 0 0);
            opacity: 1;

        }

        100% {
            clip-path: inset(0 0 0 0);
            opacity: 1;

        }
    }

    @keyframes wipeRightThenTop {
        0% {
            clip-path: inset(0 0 0 0);
            opacity: 1;

        }

        1% {
            clip-path: inset(0 calc(100% - 1px) 100% 0);
            opacity: 1;

        }

        55% {
            clip-path: inset(0 0 0 calc(100% - 1px));
            opacity: 1;

        }

        100% {
            clip-path: inset(0 0 0 0);
            opacity: 1;

        }
    }

}

/* LightBox CSS */

#fuel_lightbox {
    position: fixed;
    inset: 0;
    z-index: 99999;
    background: var(--black, #000);
    box-shadow: 0 1px 6px rgba(0, 0, 0, 0.7);
    max-width: 90dvw;
    max-height: 90dvh;
    padding: 0;
    overflow: visible;
}

#fuel_lightbox .lightbox-close {
    text-transform: uppercase;
    position: absolute;
    inset: 0 0 auto auto;
    padding: 0.3rem 0.5rem;
    cursor: pointer;
    transition: opacity 0.3s;
}

#fuel_lightbox iframe,
#fuel_lightbox img {
    max-width: -webkit-fill-available;
    max-height: inherit;
}

#fuel_lightbox img {
    width: 100%;
    height: 100%;
}

/* Fullscreen styling */
#fuel_lightbox.fullscreen {
    max-width: 100vw;
    max-height: 100vh;
}

/* Needed for iPhone/iPad */
#fuel_lightbox[open],
#fuel_lightbox[open] iframe {
    width: 100%;
    height: 100%;
}

#fuel_lightbox.fullscreen .lightbox-close {
    inset: 1.2rem 0 auto;
    width: 5rem;
    margin: auto;
}

#fuel_lightbox.fullscreen iframe,
#fuel_lightbox.fullscreen img {
    width: 100vw;
    height: 100vh;
    object-fit: contain;
}

/* Lightbox Animation */
#fuel_lightbox[open] {
    animation: lightBoxIn var(--s, 0.5s) var(--e, ease);
}

#fuel_lightbox.close {
    animation: lightBoxOut var(--s, 0.5s) var(--e, ease);
}

@keyframes lightBoxIn {
    0% {
        opacity: var(--o1, 0);
        transform: translate(var(--x1, 0), var(--y1, 0));
    }

    100% {
        opacity: var(--o2, 1);
        transform: translate(var(--x2, 0), var(--y2, 0));
    }
}

@keyframes lightBoxOut {
    0% {
        opacity: var(--o2, 1);
        transform: translate(var(--x2, 0), var(--y2, 0));
    }

    100% {
        opacity: var(--o1, 0);
        transform: translate(var(--x1, 0), var(--y1, 0));
    }
}